function FindProxyForURL(url, host) {
  TIMESTAMP = '$$TIMESTAMP$$';
  IS_ENABLED = $$IS_ENABLED$$;
  HOST = '$$HOST$$';
  HOST_PATTERN = '$$HOST_PATTERN$$';
  DIRECT_RULE = 'DIRECT';
  PROXY_RULE = 'HTTPS $$PROXY_SERVER$$:443';
  BYPASS_LIST = [$$BYPASS_LIST$$];
  host = host.toLowerCase();

  if (isPlainHostName(host)) {
    return DIRECT_RULE;
  }

  if (HOST === host) {
    return PROXY_RULE;
  }

  if (shExpMatch(host, HOST_PATTERN)) {
    if (/.*geo_lookup\?direct$/g.test(url)) {
      return DIRECT_RULE;
    } else {
      return PROXY_RULE;
    }
  }

  for (var j = 0; j < BYPASS_LIST.length; j++) {
    if (shExpMatch(host, BYPASS_LIST[j])) {
      return DIRECT_RULE;
    }
  }

  return IS_ENABLED ? PROXY_RULE : DIRECT_RULE;
}