'use strict';

class LandingNumberRewardForm extends NumberRewardForm {
  constructor() {
    super();
  }

  addFormError(details) {
    super.addFormError(details);

    if (this.viewElement) {
      this.viewElement.scrollIntoView();
    }
  }
};

LandingNumberRewardForm.Templates = class extends NumberRewardForm.Templates {
  static summary() {
    return [
      'div', {
        'class': 'summary'
      },
      this.buttonSubmit(),
      this.skipButton()
    ];
  }
};

LandingNumberRewardForm.ID = NumberRewardForm.ID;
