'use strict';

class DisconnectedPlanPage extends AbstractPlanPage {
  constructor() {
    super(DisconnectedPlanPage.ID);

    this.registerListeners_();
  }
};

DisconnectedPlanPage.Templates = class {
  static view() {
    return [
      'div', {
        'id': 'home-header-text',
        'class': 'is-error'
      },
      [
        'h1',
        ['strong', i18n.get('homeDisconnectedTitle')],
        ['span', i18n.get('homeDisconnectedSubtitle')]
      ]
    ];
  }
};

DisconnectedPlanPage.ID = 'disconnected';