'use strict';

class ExpiredPlanPage extends AbstractPlanPage {
  constructor() {
    super(ExpiredPlanPage.ID);

    this.registerListeners_();
  }
};

ExpiredPlanPage.Templates = class {
  static view() {
    return [
      'div', {
        'id': 'home-header-text',
        'class': 'is-error'
      },
      [
        'h1',
        ['strong', i18n.get('homeUnlimitedExpiredTitle')],
        ['span', i18n.get('homeUnlimitedExpiredSubtitle')]
      ]
    ];
  }
};

ExpiredPlanPage.ID = 'expired';