'use strict';

class OverbandwidthRenewablePlanPage extends RenewablePlanPage {
  constructor() {
    super(OverbandwidthRenewablePlanPage.ID);
  }

  get templateData_() {
    var data = super.templateData_;

    data.total = dataPlan.getDataAmountString(dataPlan.total);

    return data;
  }
};

OverbandwidthRenewablePlanPage.Templates =
    class extends RenewablePlanPage.Templates {
  static dataDetails(data) {
    return [
      'div', {
        'class': 'ring-details'
      },
      [
        'h5',
        i18n.get('homeRenewablePlanOverbandwidthSubtitle', [
          data.total,
          data.daysToNewCycle
        ])
      ],
      [
        'h1', {
          'class': 'is-error'
        },
        i18n.get('homeRenewablePlanOverbandwidthTitle')
      ]
    ];
  }
};

OverbandwidthRenewablePlanPage.ID = 'overbandwidth-renewable';