'use strict';

class UnlimitedPlanPage extends AbstractPlanPage {
  constructor() {
    super(UnlimitedPlanPage .ID);

    this.registerListeners_();
  }

  get templateData_() {
    var data = super.templateData_;

    data.name = dataPlan.name;
    return data;
  }
};

UnlimitedPlanPage.Templates = class {
  static view(data) {
    return [
      'div', {
        'id': 'home-header-text'
      },
      [
        'h1',
        ['strong', i18n.get('homeUnlimitedTitle')],
        ['span', data.name]
      ]
    ];
  }
};

UnlimitedPlanPage.ID = 'unlimited';