'use strict';

class LandingRegisterForm extends RegisterForm {
  constructor() {
    super();
    this.title_= i18n.get('landingPageSignRegisterTitle');
  }
};

LandingRegisterForm.Templates = class extends RegisterForm.Templates {
  static header() {
    return [
      'h1',
      ['strong', i18n.get('landingPageSignTitle')],
      ['span', i18n.get('landingPageSignRegisterTitle')]
    ];
  }

  static summary() {
    return [
      'div', {
        'class': 'summary'
      },
      this.buttonSubmit(),
      this.linkGoLogin()
    ];
  }

  static view(data) {
    return this.form(data);
  }
};

LandingRegisterForm.ID = RegisterForm.ID;